// Send_serverDlg.cpp : implementation file
//
#include "stdafx.h"
#include "Send_server.h"
#include "Send_serverDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

BOOL Do_counting = FALSE;

// CSend_serverDlg dialog

CSend_serverDlg::CSend_serverDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSend_serverDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CSend_serverDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CSend_serverDlg, CDialog)
  ON_WM_PAINT()
  ON_WM_QUERYDRAGICON()
//}}AFX_MSG_MAP
  ON_WM_DESTROY()
  ON_WM_TIMER()
  ON_BN_CLICKED(IDC_BUTTON_Start, &CSend_serverDlg::OnBnClickedButtonStart)
END_MESSAGE_MAP()

// CSend_serverDlg message handlers

BOOL CSend_serverDlg::OnInitDialog()
{
  CDialog::OnInitDialog();

  // Set the icon for this dialog.  The framework does this automatically
  //  when the application's main window is not a dialog
  SetIcon(m_hIcon, TRUE);			// Set big icon
  SetIcon(m_hIcon, FALSE);		// Set small icon

  // TODO: Add extra initialization here
  m_Timer = SetTimer(1, 150, NULL);
  if( !m_Timer ) {
    MessageBox("  Error: Can't create timer resource!  ");
    EndDialog(IDCANCEL);
    return FALSE;
  }
  if( !Transfer_objects_create() ) {  // It shows errors
    EndDialog(IDCANCEL);
    return FALSE;
  }

  return TRUE;  // return TRUE  unless you set the focus to a control
}

void CSend_serverDlg::OnDestroy()
{
  CDialog::OnDestroy();

  // TODO: Add your message handler code here

  Transfer_objects_destroy();
  if(m_Timer) KillTimer(m_Timer);
}

void CSend_serverDlg::OnTimer(UINT_PTR nIDEvent)
{
  // TODO: Add your message handler code here and/or call default

  if(Do_counting) {
    static DWORD pkt_counter = 0;
    CString s;

    s.Format("Packet counter %d", pkt_counter++);
    GetDlgItem(IDC_STATIC_Counter)->SetWindowText(s);
    Data_for_transfer = pkt_counter;
    Transfer_send_data();
    s.Format("Data packets dropped %d", Data_packets_dropped);
    GetDlgItem(IDC_STATIC_Packets_dropped)->SetWindowText(s);
  }
  CDialog::OnTimer(nIDEvent);
}

void CSend_serverDlg::OnBnClickedButtonStart()
{
  // TODO: Add your control notification handler code here
  Do_counting = !Do_counting;
  GetDlgItem(IDC_BUTTON_Start)->SetWindowText((Do_counting) ? "Stop" : "Start");
}
