// Send_clientDlg.cpp : implementation file
//
#include "stdafx.h"
#include "Send_client.h"
#include "Send_clientDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

// CSend_clientDlg dialog

CSend_clientDlg::CSend_clientDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSend_clientDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CSend_clientDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CSend_clientDlg, CDialog)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
  ON_WM_DESTROY()
  ON_WM_TIMER()
END_MESSAGE_MAP()

// CSend_clientDlg message handlers

BOOL CSend_clientDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here
  m_Timer = SetTimer(1, 20, NULL);
  if( !m_Timer ) {
    MessageBox("  Error: Can't create timer resource!  ");
    EndDialog(IDCANCEL);
    return FALSE;
  }
  if( !Transfer_objects_create() ) {  // It shows errors
    EndDialog(IDCANCEL);
    return FALSE;
  }

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CSend_clientDlg::OnDestroy()
{
  CDialog::OnDestroy();

  // TODO: Add your message handler code here
  Transfer_objects_destroy();
  if(m_Timer) KillTimer(m_Timer);
}

void CSend_clientDlg::OnTimer(UINT_PTR nIDEvent)
{
  // TODO: Add your message handler code here and/or call default

  if(Transfer_receive_data()) {
    CString s;
    s.Format("Data packets received %d", Data_packets_received);
    GetDlgItem(IDC_STATIC_Packets_received)->SetWindowText(s);
  }
  CDialog::OnTimer(nIDEvent);
}
